LibreOffice: XRemoteContentProviderDistributor Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XRemoteContentProviderDistributor Interface Referencepublished

Distribute a content broker to various XRemoteContentProviderAcceptors. More...

`import "XRemoteContentProviderDistributor.idl";`

Inheritance diagram for XRemoteContentProviderDistributor:

## Public Member Functions
boolean | connectToRemoteAcceptor ([in] string Url, [in] string Identifier) raises (com::sun::star::connection::NoConnectException, com::sun::star::connection::ConnectionSetupException, com::sun::star::lang::IllegalArgumentException)
| Offer the local content broker to a remote content provider acceptor.
boolean | disconnectFromRemoteAcceptor ([in] string Url)
| Undo the offering of the local content broker to a specific remote content provider acceptor.
void | disconnectFromAll ()
| Undo the offering of the local content broker to all remote content provider acceptors.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Distribute a content broker to various XRemoteContentProviderAcceptors.

Version
  1.0

See also
  XRemoteContentProviderAcceptor

## Member Function Documentation

## ◆ connectToRemoteAcceptor()

boolean connectToRemoteAcceptor | ( | [in] string | Url,
|  | [in] string | Identifier )
raises | ( | com::sun::star::connection::NoConnectException,
|  | com::sun::star::connection::ConnectionSetupException,
|  | com::sun::star::lang::IllegalArgumentException ) |  |  |

Offer the local content broker to a remote content provider acceptor.

The Uno Url is handed to the com::sun::star::bridge::UnoUrlResolver service, which is responsible for raising any of the advertised exceptions.

Parameters

  Url | A Uno Url to address the XRemoteContentProviderAcceptor.
  Identifier | An identifier handed to the XRemoteContentProviderAcceptor.

Returns
  success indicator. Especially, if there's already a connection to the given Url, the call will fail, no matter whether that connection uses the same identifier as the given one or not.

## ◆ disconnectFromAll()

void disconnectFromAll | ( |  | ) |

Undo the offering of the local content broker to all remote content provider acceptors.

## ◆ disconnectFromRemoteAcceptor()

boolean disconnectFromRemoteAcceptor | ( | [in] string | Url | ) |

Undo the offering of the local content broker to a specific remote content provider acceptor.

Parameters

  Url | A Uno Url to address the XRemoteContentProviderAcceptor.

Returns
  success indicator.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XRemoteContentProviderDistributor.idl